AS2 Outgoing Messages

An AS2OutgoingMessage is a single record created for each individual AS2 file transfer out to a Partner. It contains the message details and tracks the lifecycle status with milestones of the transfer.

List AS2 Outgoing Messages

Endpoint

GET/as2_outgoing_messages

Return Object

As2OutgoingMessage[]

Authorization Requirement

Requires either a Site-Wide API key or User API key or session from a User with Site Admin permissions.

Additional Arguments

Example Request

curl https://app.files.com/api/rest/v1/as2_outgoing_messages.json \
  -H 'X-FilesAPI-Key: YOUR_API_KEY'

Example Response

[
  {
    "id": 1,
    "workspace_id": 1,
    "as2_partner_id": 1,
    "as2_station_id": 1,
    "uuid": "example",
    "http_headers": {
      "key": "example value"
    },
    "processing_result": "example",
    "processing_result_description": "example",
    "mic": "example",
    "mic_sha_256": "example",
    "as2_to": "example",
    "as2_from": "example",
    "as2_subject": "example",
    "date": "example",
    "message_id": "example",
    "body_size": "example",
    "attachment_filename": "example",
    "created_at": "2000-01-01T01:00:00Z",
    "http_response_code": "example",
    "http_response_headers": {
      "key": "example value"
    },
    "http_transmission_duration": 1.0,
    "mdn_received": true,
    "mdn_valid": true,
    "mdn_signature_verified": true,
    "mdn_message_id_matched": true,
    "mdn_mic_matched": true,
    "mdn_processing_success": true,
    "raw_uri": "example",
    "smime_uri": "example",
    "smime_signed_uri": "example",
    "encrypted_uri": "example",
    "mdn_response_uri": "example"
  }
]

The As2OutgoingMessage Object

Some of the endpoints above return a As2OutgoingMessage object. The attributes of this object are listed below.

AttributeDescription
id
int64
Id of the AS2 Partner.
workspace_id
int64
ID of the Workspace associated with this AS2 Outgoing Message.
as2_partner_id
int64
Id of the AS2 Partner associated with this message.
as2_station_id
int64
Id of the AS2 Station associated with this message.
uuid
string
UUID assigned to this message.
http_headers
object
HTTP Headers sent with this message.
processing_result
string
Result of processing.
Possible values: not_started, send_failed, send_success, send_success_mdn_invalid, send_success_mic_mismatch, send_success_message_id_mismatch, send_success_signature_mismatch, send_success_processing_failure, send_failed_unknown_host, send_failed_bad_http_response_code, send_failed_ssl_error, send_failed_connection_refused
processing_result_description
string
Result of processing description.
mic
string
AS2 Message Integrity Check SHA1
mic_sha_256
string
AS2 Message Integrity Check SHA256
as2_to
string
AS2 TO
as2_from
string
AS2 FROM
as2_subject
string
AS2 Subject
date
string
Date Header
message_id
string
AS2 Message Id
body_size
string
Encrypted Payload Body Size
attachment_filename
string
Filename of the file being sent.
created_at
date-time
Message creation date/time
http_response_code
string
HTTP Response Code received for this message
http_response_headers
object
HTTP Headers received for this message.
http_transmission_duration
double
HTTP transmission duration in seceonds
mdn_received
boolean
Did the partner give a response body?
mdn_valid
boolean
Is the response in MDN format?
mdn_signature_verified
boolean
MDN signature verified?
mdn_message_id_matched
boolean
MDN message id matched?
mdn_mic_matched
boolean
MDN MIC matched?
mdn_processing_success
boolean
MDN disposition indicate a successful processing?
raw_uri
string
URL to download the original file contents
smime_uri
string
URL to download the file contents encoded as smime
smime_signed_uri
string
URL to download the file contents as smime with signature
encrypted_uri
string
URL to download the encrypted signed smime that is to sent as AS2 body
mdn_response_uri
string
URL to download the http response body

Example As2OutgoingMessage Object

{
  "id": 1,
  "workspace_id": 1,
  "as2_partner_id": 1,
  "as2_station_id": 1,
  "uuid": "example",
  "http_headers": {
    "key": "example value"
  },
  "processing_result": "example",
  "processing_result_description": "example",
  "mic": "example",
  "mic_sha_256": "example",
  "as2_to": "example",
  "as2_from": "example",
  "as2_subject": "example",
  "date": "example",
  "message_id": "example",
  "body_size": "example",
  "attachment_filename": "example",
  "created_at": "2000-01-01T01:00:00Z",
  "http_response_code": "example",
  "http_response_headers": {
    "key": "example value"
  },
  "http_transmission_duration": 1.0,
  "mdn_received": true,
  "mdn_valid": true,
  "mdn_signature_verified": true,
  "mdn_message_id_matched": true,
  "mdn_mic_matched": true,
  "mdn_processing_success": true,
  "raw_uri": "example",
  "smime_uri": "example",
  "smime_signed_uri": "example",
  "encrypted_uri": "example",
  "mdn_response_uri": "example"
}